#!/bin/sh
tmp=/tmp/run.lingeling-then-drabt.$$
input=$tmp.cnf
proof=$tmp.proof
trap "rm -f $tmp*" 2 15
cat $* > $input
lingeling --druplig --drupligtrace $input > $proof
res=$?
if [ $res = 20 ]
then
  drabt $input $proof
  res=$?
elif [ $res = 10 ]
then
  drabt -S $input $proof
  res=$?
fi
rm -f $tmp*
exit $res
