#!/bin/sh
debug=no
while [ $# -gt 0 ]
do
  case $1 in
    -h) echo "usage: configure.sh [-h][-g]"; exit 0;;
    -g) debug=yes;;
    *) echo "*** configure.sh: invalid optin '$1' (try '-h')" 1>&2; exit 1;;
  esac
  shift
done
if [ $debug = yes ]
then
  COMPILE="gcc -Wall -g3"
else
  COMPILE="gcc -Wall -O3 -DNDEBUG"
fi
echo "$COMPILE"
rm -f makefile
sed -e "s,@COMPILE@,$COMPILE,g" makefile.in > makefile
